#7 Highlight/Select multiple files/folders

None
closed
Zykure
None
5
2014-09-03
2014-03-07
Dryden
No

Hello again,

I just noticed this problem recently.
It would be nice to be able to select multiple files (and folders) in the folder tree, and to be able to drag these selected files to the playlist. At the moment you must either add only one folder (containing multiple audio files) or only one audio file.

To me, this is definitely more important than my previous request.

Thanks.

Related

Feature Requests: #7

Discussion

  • Zykure
    Zykure
    2014-03-08

    Hi, this feature I have also just implemented. Not sure if everything works 100% yet, as I had to adapt code in several places througout the plugin .. and I'm not used to GTK coding anymore, it seems ;)

    Both drag&drop and using the toolbar button should work, though. You have to press Ctrl to select multiple entries; and keep Ctrl pressed when initiating drag&drop. I still have to think of a ways around this - normally, the initial click for drag&drop would remove other selections.

    Please test this from latest git code, too!

     
  • Zykure
    Zykure
    2014-03-08

    • status: open --> accepted
    • assigned_to: Zykure
     
  • Dryden
    Dryden
    2014-03-08

    Thanks for implementing this feature too!

    The drag&drop feature works as long as I keep in mind that I have to keep either Ctrl or Shift pressed while dragging. Shift seems a bit easlier as it will keep the last file selected if I reselect (re-click) when I initiate the drag. Of course, it would be more intuative if it functioned in the same way as other file managers, but this is definitely workable for me.

    Although, I did find one problem...

    If you select the files that you want to copy to the playlist, and instead of drag&drop I right click on one of the selected files and select the option to add to the current playlist, it only adds the file I right clicked on (and not all of the selected files).
    For me this isn't a problem, because if I want to add some specific files then I selct them and drag&drog them to the playlist. And if I want to add an entire folder (album), I right click and add to current playlist. But this is just my mad methodology.

    Again though, thank you very much for taking the time to implement this. I am honestly surprised that this file manager feature is not more popular in audio players.

     
    • Zykure
      Zykure
      2014-03-08

      Hey Dryden,

      yes I noticed the issue with the context menu, but I didn't see an easy
      way around it as the menu also contains entries like "go to directory".
      This would obviously not work if more than one directory is selected.
      However, I could just disable these entries when multiple items are
      selected, and show e.g. "add to playlist". This would then work for both
      single and multiple selections.

      The drag&drop issue should be fixable somehow, I probably just need to
      check if the mouse button was released or not. But still, I have to get
      used to GTK (again) a little bit ;)

      -zykure

      Am 08.03.2014 18:02, schrieb Dryden:

      Thanks for implementing this feature too!

      The drag&drop feature works as long as I keep in mind that I have to
      keep either Ctrl or Shift pressed while dragging. Shift seems a bit
      easlier as it will keep the last file selected if I reselect (re-click)
      when I initiate the drag. Of course, it would be more intuative if it
      functioned in the same way as other file managers, but this is
      definitely workable for me.

      Although, I did find one problem...

      If you select the files that you want to copy to the playlist, and
      instead of drag&drop I right click on one of the selected files and
      select the option to add to the current playlist, it only adds the file
      I right clicked on (and not all of the selected files).
      For me this isn't a problem, because if I want to add some specific
      files then I selct them and drag&drog them to the playlist. And if I
      want to add an entire folder (album), I right click and add to current
      playlist. But this is just my mad methodology.

      Again though, thank you very much for taking the time to implement this.
      I am honestly surprised that this file manager feature is not more
      popular in audio players.


      [feature-requests:#7]
      http://sourceforge.net/p/deadbeef-fb/feature-requests/7/
      Highlight/Select multiple files/folders

      Status: accepted
      Group: default
      Created: Fri Mar 07, 2014 09:10 AM UTC by Dryden
      Last Updated: Sat Mar 08, 2014 01:48 PM UTC
      Owner: Zykure

      Hello again,

      I just noticed this problem recently.
      It would be nice to be able to select multiple files (and folders) in
      the folder tree, and to be able to drag these selected files to the
      playlist. At the moment you must either add only one folder (containing
      multiple audio files) or only one audio file.

      To me, this is definitely more important than my previous request.

      Thanks.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/deadbeef-fb/feature-requests/7/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature Requests: #7

  • Zykure
    Zykure
    2014-03-09

    I managed to improve this feature quite a bit in latest git code. Mouse events are now handled manually, allowing to get a similar functionality as in DeaDBeeF itself (to be specific, I based my code on the event handling in the playlist view).

    With the update, all mouse events should behave as expected (single click: select; double click: expand/collapse; ctrl+click: add/remove selection). If multiple items are selected, drag&drop can be initiated without needing to press additional buttons, i.e. the multi-selection will not be lost if the mouse button is not released. Long story short: just try and see! ;)

     
  • Zykure
    Zykure
    2014-03-09

     
  • Dryden
    Dryden
    2014-03-09

    Wow...that's really nice...
    It's really intuative now.
    Thank you very much for your efforts!

    Although, I did notice that the option to select multiple files with Shift has been removed. But obviously, this is very minor.

     
    • Zykure
      Zykure
      2014-03-09

      Hey again! Yes that option is currently not implemented because I don't
      know yet how to do the required "select from A to B" function in the
      treeview. Especially because in the treeview you somehow can't select
      child nodes when their parent is selected (try to select a directory
      when the paren dir has been selected before).
      Also I want to have the "area-select" function which is available in the
      playlist (click+drag to select entries), but with that it's the same
      problem...

      Anyway, I'm glad that you find it useful for now, and I will probably
      add the shift-select and area-select features later. This whole
      multi-select thing is pretty nice indeed, it just never occured to me
      before that one might need it ;)

      -zykure

      Am 09.03.2014 16:12, schrieb Dryden:

      Wow...that's really nice...
      It's really intuative now.
      Thank you very much for your efforts!

      Although, I did notice that the option to select multiple files with
      Shift has been removed. But obviously, this is very minor.


      [feature-requests:#7]
      http://sourceforge.net/p/deadbeef-fb/feature-requests/7/
      Highlight/Select multiple files/folders

      Status: accepted
      Group: default
      Created: Fri Mar 07, 2014 09:10 AM UTC by Dryden
      Last Updated: Sun Mar 09, 2014 02:49 PM UTC
      Owner: Zykure

      Hello again,

      I just noticed this problem recently.
      It would be nice to be able to select multiple files (and folders) in
      the folder tree, and to be able to drag these selected files to the
      playlist. At the moment you must either add only one folder (containing
      multiple audio files) or only one audio file.

      To me, this is definitely more important than my previous request.

      Thanks.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/deadbeef-fb/feature-requests/7/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature Requests: #7

  • Dryden
    Dryden
    2014-03-09

    "Especially because in the treeview you somehow can't select
    child nodes when their parent is selected (try to select a directory
    when the paren dir has been selected before)."

    I noticed it too, but I didn't find it an issue at all; so I didn't mention it. I have a hard time imagining a situation when this would affect me (negatively).

    "Also I want to have the "area-select" function which is available in the
    playlist (click+drag to select entries), but with that it's the same
    problem..."

    That would be a nice option too, but it may be very hard to implement as that would seem to conflict with the drag&drop to playlist option (which in my opinion is more important). It would likely have to be something more similar to normal file managers that allow you to select an area based on the selection box created from the mouse.

    What I also didn't mention before, because it's so trivial, is that when you select several files, then release Ctrl, then select one of the files that is already selected (without pressing Ctrl), it does not unselect the other files. I just figured that this is an inherent consequence of the coding (which is perfectly fine).

    Anyway, I'm glad you like multi-select option. I sure do ;)

    Thanks again.

     
  • Zykure
    Zykure
    2014-09-03

    • status: accepted --> closed